Page MenuHomePhabricator

MWDebugTest::testAppendDebugInfoToApiResultXmlFormat failing on PHP 7.1
Closed, ResolvedPublic

Description

1) MWDebugTest::testAppendDebugInfoToApiResultXmlFormat

ArgumentCountError: Too few arguments to function ApiFormatXml::recXmlPrint(), 2 passed in /home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/debug/MWDebugTest.php on line 113 and at least 3 expected


/home/travis/build/wikimedia/mediawiki/includes/api/ApiFormatXml.php:96

/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/debug/MWDebugTest.php:113

/home/travis/build/wikimedia/mediawiki/tests/phpunit/MediaWikiTestCase.php:416

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94

Event Timeline

Reedy created this task.Dec 7 2017, 11:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 7 2017, 11:05 PM
Reedy moved this task from Unsorted to PHP 7.1 on the [DO NOT USE] NewPHP board.Dec 7 2017, 11:06 PM

Change 396427 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] Fix MWDebugTest::testAppendDebugInfoToApiResultXmlFormat

https://gerrit.wikimedia.org/r/396427

Change 396427 merged by jenkins-bot:
[mediawiki/core@master] Fix MWDebugTest::testAppendDebugInfoToApiResultXmlFormat

https://gerrit.wikimedia.org/r/396427

Legoktm closed this task as Resolved.Jan 1 2018, 1:54 AM
Legoktm assigned this task to Anomie.
Krinkle renamed this task from MWDebugTest::testAppendDebugInfoToApiResultXmlFormat failing on PHP 7.1 to MWDebugTest::testAppendDebugInfoToApiResultXmlFormat failing on PHP 7.0 and 7.1.Feb 16 2018, 8:20 PM
Krinkle renamed this task from MWDebugTest::testAppendDebugInfoToApiResultXmlFormat failing on PHP 7.0 and 7.1 to MWDebugTest::testAppendDebugInfoToApiResultXmlFormat failing on PHP 7.1.Feb 16 2018, 8:22 PM